Subject: bug#36855: guix system switch-generation doesn't

From: Mark H Weaver <[email-masked]>
Date: Wed, 28 Aug 2019 14:46:56 -0400

Hi Jakob,

[email-masked] (Jakob L. Kreuze) writes:

> Thanks for the input; I wasn't aware that the activation process was
> taking so long for some people. One of Ludovic's suggestions was to
> create a single derivation, rather than three, to speed up system
> activation. I'll look into this further.

To be clear, I don't care how long it takes to build these derivations.
However, I think they should all be built before starting to activate
the system.  Does that make sense?

On a side note, what would happen if one of those builds failed?  Would
the system activation be left half-done?

     Thanks,
       Mark